LayoutQueue (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.text, class: LayoutQueue
Keywords: javax.swing.text.LayoutQueue class

# Class LayoutQueue

java.lang.Object
javax.swing.text.LayoutQueue

public class LayoutQueue extends Object
A queue of text layout tasks.

Since:
  1.3
See Also:
  - `AsyncBoxView`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutQueue()`
  Construct a layout queue.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTask(Runnable task)`
  Add a task that is not needed immediately because the results are not believed to be visible.
  `static LayoutQueue`
  `getDefaultQueue()`
  Fetch the default layout queue.
  `static void`
  `setDefaultQueue(LayoutQueue q)`
  Set the default layout queue.
  `protected Runnable`
  `waitForWork()`
  Used by the worker thread to get a new task to execute.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### LayoutQueue

    public LayoutQueue()
    Construct a layout queue.

- ## Method Details

  - ### getDefaultQueue

    public static LayoutQueue getDefaultQueue()
    Fetch the default layout queue.
    Returns:
      the default layout queue

  - ### setDefaultQueue

    public static void setDefaultQueue(LayoutQueue q)
    Set the default layout queue.
    Parameters:
      `q` - the new queue.

  - ### addTask

    public void addTask(Runnable task)
    Add a task that is not needed immediately because the results are not believed to be visible.
    Parameters:
      `task` - the task to add to the queue

  - ### waitForWork

    protected Runnable waitForWork()
    Used by the worker thread to get a new task to execute.
    Returns:
      a task from the queue